maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Benedict (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MENFORCER-39) Allow simplified range checking
Date Fri, 16 May 2008 18:02:27 GMT

    [ http://jira.codehaus.org/browse/MENFORCER-39?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=135170#action_135170
] 

Paul Benedict commented on MENFORCER-39:
----------------------------------------

Any reason why you don't want to simplify it? I must admit, [1.0.0,) is just an elongated
way of specifying a version number in a natural fashion.

> Allow simplified range checking
> -------------------------------
>
>                 Key: MENFORCER-39
>                 URL: http://jira.codehaus.org/browse/MENFORCER-39
>             Project: Maven 2.x Enforcer Plugin
>          Issue Type: Improvement
>          Components: Standard Rules
>    Affects Versions: 1.0-alpha-3, 1.0
>            Reporter: Paul Benedict
>            Assignee: Brian Fox
>            Priority: Minor
>
> The rule "[1.0.0,)" means at least 1.0.0 inclusive and anything greater. The comma should
be optional for single-value ranges. It can be inferred simply from the brackets and braces
what the intention is. So "[1.0.0)" should also be a valid version range.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message